[Swift-commit] r4503 - trunk/tests/providers/local-coasters

wozniak at ci.uchicago.edu wozniak at ci.uchicago.edu
Mon May 23 09:40:28 CDT 2011


Author: wozniak
Date: 2011-05-23 09:40:27 -0500 (Mon, 23 May 2011)
New Revision: 4503

Added:
   trunk/tests/providers/local-coasters/201-cp.check.sh
   trunk/tests/providers/local-coasters/201-cp.clean.sh
   trunk/tests/providers/local-coasters/201-cp.setup.sh
   trunk/tests/providers/local-coasters/201-cp.swift
   trunk/tests/providers/local-coasters/201-input-1.txt
Log:
Multi-job local Coasters test


Added: trunk/tests/providers/local-coasters/201-cp.check.sh
===================================================================
--- trunk/tests/providers/local-coasters/201-cp.check.sh	                        (rev 0)
+++ trunk/tests/providers/local-coasters/201-cp.check.sh	2011-05-23 14:40:27 UTC (rev 4503)
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -x
+
+COUNT=$( ls 201-output* | grep -c )
+
+[[ ${COUNT} == 40 ]] || exit 1
+
+exit 0


Property changes on: trunk/tests/providers/local-coasters/201-cp.check.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/providers/local-coasters/201-cp.clean.sh
===================================================================
--- trunk/tests/providers/local-coasters/201-cp.clean.sh	                        (rev 0)
+++ trunk/tests/providers/local-coasters/201-cp.clean.sh	2011-05-23 14:40:27 UTC (rev 4503)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -rv 201-output-[12]-*.txt || exit 1
+
+exit 0


Property changes on: trunk/tests/providers/local-coasters/201-cp.clean.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/providers/local-coasters/201-cp.setup.sh
===================================================================
--- trunk/tests/providers/local-coasters/201-cp.setup.sh	                        (rev 0)
+++ trunk/tests/providers/local-coasters/201-cp.setup.sh	2011-05-23 14:40:27 UTC (rev 4503)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -x
+
+{
+  uname -a
+  date
+} > 201-input-1.txt
+
+cp -v 201-input-1.txt 201-input-2.txt
+
+exit 0


Property changes on: trunk/tests/providers/local-coasters/201-cp.setup.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/providers/local-coasters/201-cp.swift
===================================================================
--- trunk/tests/providers/local-coasters/201-cp.swift	                        (rev 0)
+++ trunk/tests/providers/local-coasters/201-cp.swift	2011-05-23 14:40:27 UTC (rev 4503)
@@ -0,0 +1,24 @@
+
+type file;
+
+app (file o) cp(file i)
+{
+  cp @i @o;
+}
+
+file input1<"201-input-1.txt">;
+file input2<"201-input-2.txt">;
+
+foreach i in [1:20]
+{
+  string s = @strcat("201-output-1-", i, ".txt");
+  file output<single_file_mapper;file=s>;
+  output = cp(input1);
+}
+
+foreach j in [1:20]
+{
+  string s = @strcat("201-output-2-", j, ".txt");
+  file output<single_file_mapper;file=s>;
+  output = cp(input2);
+}


Property changes on: trunk/tests/providers/local-coasters/201-cp.swift
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/providers/local-coasters/201-input-1.txt
===================================================================
--- trunk/tests/providers/local-coasters/201-input-1.txt	                        (rev 0)
+++ trunk/tests/providers/local-coasters/201-input-1.txt	2011-05-23 14:40:27 UTC (rev 4503)
@@ -0,0 +1,2 @@
+Linux wozniak-desktop 2.6.32-30-generic #59-Ubuntu SMP Tue Mar 1 21:30:46 UTC 2011 x86_64 GNU/Linux
+Tue Mar 22 14:02:02 CDT 2011




More information about the Swift-commit mailing list